org.apache.axiom.util.sax

## Class AbstractXMLReader

- java.lang.Object
- - org.apache.axiom.util.sax.AbstractXMLReader

- All Implemented Interfaces:
    XMLReader

      public abstract class AbstractXMLReader
      extends Object
      implements XMLReader

  Partial implementation of the `XMLReader` interface. It implements all the getters and setters so that subclasses only need to implement `XMLReader.parse(InputSource)` and `XMLReader.parse(String)`. Subclasses can access the various handlers and properties set on the reader through protected attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ContentHandler` | `contentHandler`
    `protected DTDHandler` | `dtdHandler`
    `protected EntityResolver` | `entityResolver`
    `protected ErrorHandler` | `errorHandler`
    `protected boolean` | `externalGeneralEntities`
    `protected LexicalHandler` | `lexicalHandler`
    `protected boolean` | `namespacePrefixes`
    `protected boolean` | `namespaces`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentHandler` | `getContentHandler()`
    `DTDHandler` | `getDTDHandler()`
    `EntityResolver` | `getEntityResolver()`
    `ErrorHandler` | `getErrorHandler()`
    `boolean` | `getFeature(String name)`
    `Object` | `getProperty(String name)`
    `void` | `setContentHandler(ContentHandler contentHandler)`
    `void` | `setDTDHandler(DTDHandler dtdHandler)`
    `void` | `setEntityResolver(EntityResolver entityResolver)`
    `void` | `setErrorHandler(ErrorHandler errorHandler)`
    `void` | `setFeature(String name, boolean value)`
    `void` | `setProperty(String name, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.XMLReader

      `parse, parse`

- - ### Field Detail

    - #### namespaces

          protected boolean namespaces

    - #### namespacePrefixes

          protected boolean namespacePrefixes

    - #### externalGeneralEntities

          protected boolean externalGeneralEntities

    - #### contentHandler

          protected ContentHandler contentHandler

    - #### lexicalHandler

          protected LexicalHandler lexicalHandler

    - #### dtdHandler

          protected DTDHandler dtdHandler

    - #### entityResolver

          protected EntityResolver entityResolver

    - #### errorHandler

          protected ErrorHandler errorHandler

  - ### Constructor Detail

    - #### AbstractXMLReader

          public AbstractXMLReader()

  - ### Method Detail

    - #### getContentHandler

          public ContentHandler getContentHandler()

      Specified by:
        `getContentHandler` in interface `XMLReader`

    - #### setContentHandler

          public void setContentHandler(ContentHandler contentHandler)

      Specified by:
        `setContentHandler` in interface `XMLReader`

    - #### getDTDHandler

          public DTDHandler getDTDHandler()

      Specified by:
        `getDTDHandler` in interface `XMLReader`

    - #### setDTDHandler

          public void setDTDHandler(DTDHandler dtdHandler)

      Specified by:
        `setDTDHandler` in interface `XMLReader`

    - #### getEntityResolver

          public EntityResolver getEntityResolver()

      Specified by:
        `getEntityResolver` in interface `XMLReader`

    - #### setEntityResolver

          public void setEntityResolver(EntityResolver entityResolver)

      Specified by:
        `setEntityResolver` in interface `XMLReader`

    - #### getErrorHandler

          public ErrorHandler getErrorHandler()

      Specified by:
        `getErrorHandler` in interface `XMLReader`

    - #### setErrorHandler

          public void setErrorHandler(ErrorHandler errorHandler)

      Specified by:
        `setErrorHandler` in interface `XMLReader`

    - #### getFeature

          public boolean getFeature(String name)
                             throws SAXNotRecognizedException,
                                    SAXNotSupportedException

      Specified by:
        `getFeature` in interface `XMLReader`
      Throws:
        `SAXNotRecognizedException`
        `SAXNotSupportedException`

    - #### setFeature

          public void setFeature(String name,
                                 boolean value)
                          throws SAXNotRecognizedException,
                                 SAXNotSupportedException

      Specified by:
        `setFeature` in interface `XMLReader`
      Throws:
        `SAXNotRecognizedException`
        `SAXNotSupportedException`

    - #### getProperty

          public Object getProperty(String name)
                             throws SAXNotRecognizedException,
                                    SAXNotSupportedException

      Specified by:
        `getProperty` in interface `XMLReader`
      Throws:
        `SAXNotRecognizedException`
        `SAXNotSupportedException`

    - #### setProperty

          public void setProperty(String name,
                                  Object value)
                           throws SAXNotRecognizedException,
                                  SAXNotSupportedException

      Specified by:
        `setProperty` in interface `XMLReader`
      Throws:
        `SAXNotRecognizedException`
        `SAXNotSupportedException`

Copyright © The Apache Software Foundation. All Rights Reserved.